summaryrefslogtreecommitdiffstats
path: root/source/d/m4
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/m4')
-rwxr-xr-xsource/d/m4/m4.SlackBuild23
-rw-r--r--source/d/m4/slack-desc10
2 files changed, 21 insertions, 12 deletions
diff --git a/source/d/m4/m4.SlackBuild b/source/d/m4/m4.SlackBuild
index 5623854c4..0bc3f10fc 100755
--- a/source/d/m4/m4.SlackBuild
+++ b/source/d/m4/m4.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,27 +20,36 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=m4
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j7 "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-m4
-if [ "$ARCH" = "i486" ]; then
+if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
@@ -106,7 +115,7 @@ fi
# ansi2knr is no longer part of the m4 sources.
# Geez, I'm gonna have to learn ANSI C now...
#
-#( cd src ; make ansi2knr )
+#( cd src ; make ansi2knr || exit 1) || exit 1
#gzip -9 $PKG/usr/info/m4.info.gz
#cat src/m4 > $PKG/usr/bin/m4
#chmod 755 $PKG/usr/bin/*
diff --git a/source/d/m4/slack-desc b/source/d/m4/slack-desc
index 7951b9bd8..760e2d381 100644
--- a/source/d/m4/slack-desc
+++ b/source/d/m4/slack-desc
@@ -1,17 +1,17 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
m4: m4 (an implementation of the UNIX macro processor)
m4:
m4: This is GNU m4, a program which copies its input to the output,
-m4: expanding macros as it goes. m4 has built-in functions for including
+m4: expanding macros as it goes. m4 has built-in functions for including
m4: named files, running commands, doing integer arithmetic, manipulating
-m4: text in various ways, recursion, etc... Macros can also be user-
+m4: text in various ways, recursion, etc... Macros can also be user-
m4: defined, and can take any number of arguments.
m4:
m4: GNU 'm4' was originally written by Rene Seindal, from Denmark.